عناوين IP مخصصة
المطالبة بعنوان IP مخصص
قم بالمطالبة بـ IP المخصص المُدار.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
claim
المطالبة بعنوان IP مخصص
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim"
payload = { "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({option_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
طلب المطالبة بعنوان IP مخصص مدار.
الاستجابة
مخصص IP UUID
اسم IP مخصص مرئي للعميل
حالة التزويد أو دورة الحياة
نوع تخصيص IP مخصص
رقم النظام المستقل للتخصيص
رمز البلد ISO للتخصيص
الطابع الزمني للإنشاء
العناوين العامة في هذا التخصيص
الطابع الزمني للتحديث الأخير
هل كانت هذه الصفحة مفيدة؟
⌘I
المطالبة بعنوان IP مخصص
